## remotecv 2.2.1

=== Makefile ===
setup:
	@pip install -Ue.\[tests\]

test:
	@coverage run --branch `which nosetests` -v --with-yanc -s tests/

coverage:
	@coverage report -m --fail-under=30

focus:
	@coverage run --branch `which nosetests` -vv --with-yanc --logging-level=WARNING --with-focus -i -s tests/

=== requirements.txt ===
argparse>=1.2.1,<1.3.0
pyres>=1.2,<1.3

=== debian/changelog ===
remotecv (2.2.1-1) unstable; urgency=low

  [ Gilles Dubuc ]

  * Initial release. (Closes: #825893)

  [ Marcelo Jorge Vieira ]

  * Rename binary to python-remotecv
  * Fixed pyres dependency
  * Bump Standards-Version to 4.0.0
  * Added myself as uploader

 -- Marcelo Jorge Vieira <metal@debian.org>  Fri, 08 Sep 2017 01:23:51 -0300

=== debian/control ===
Source: remotecv
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Gilles Dubuc <gilles@wikimedia.org>,
 Marcelo Jorge Vieira <metal@debian.org>
Section: python
Priority: optional
Standards-Version: 4.0.0
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               python-all,
               python-mock,
               python-nose,
               python-opencv,
               python-pil (>= 3.0),
               python-preggy,
               python-pyres (>= 1.2),
               python-setuptools
X-Python-Version: >= 2.6
Homepage: https://github.com/thumbor/remotecv
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/remotecv.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/remotecv.git

Package: python-remotecv
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pyres (>= 1.2), python-pil (>= 3.0), python-opencv
Description: Python module providing an OpenCV server for facial and feature recognition
 Remotecv can use a Pyres or Celery backend, this package is
 configured to use Pyres and a Redis server to handle its job queue.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=remotecv
export PYBUILD_BEFORE_TEST=cp -R {dir}/tests {build_dir}
export PYBUILD_AFTER_TEST=rm -fR {build_dir}/tests

%:
	dh $@ --with python2,systemd --buildsystem=pybuild

override_dh_clean:
	rm -rf remotecv.egg-info .coverage
	dh_clean

override_dh_installinit:
	dh_installinit --name=remotecv --noscripts

=== debian/watch ===
version=3
opts="filenamemangle=s/.+\/v?(.*)\.tar\.gz/remotecv-$1.tar.gz/" \
 https://github.com/thumbor/remotecv/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
